function GetGameMenuItems
{
    param(
      $menuArgs
    )

    $menuItem = New-Object Playnite.SDK.Plugins.ScriptGameMenuItem
    $menuItem.Description =  "Add Link(s)"
    $menuItem.FunctionName = "Invoke-DiscordLink"
    $menuItem.MenuSection = "Discord"
   
    return $menuItem
}

function Invoke-DiscordLink
{
	$ExtensionName = "Add Discord Link"
	$LinksAdded = 0
	$selection = $PlayniteApi.MainView.SelectedGames
	foreach ($game in $selection)
	{	
		if ($game.Links | Where-Object {$_.Name -eq "Discord"}) 
		{
			continue
		}
		$description = $game.description 
		[regex]$regex = '(https?:\/\/discord\.(gg|com)\/)(.*?)(?=" )'
		if ($description -like "*discord.gg/*" -or $description -like "*discord.com/*")
		{
			
			$discordlink = $regex.Match($description).Value
			if ($discordlink.Length -gt 0) {
				$link = [Playnite.SDK.Models.Link]::New("Discord",$discordlink)
				# create links if game currently has none.
				if (-not $game.Links) 
				{
					$Links = New-Object System.Collections.ObjectModel.ObservableCollection[Playnite.SDK.Models.Link]
					$game.Links = $Links
				}
				$game.Links.Add($link)
				$PlayniteApi.Database.Games.Update($game)
				$LinksAdded++
			}
		}
	}
	$PlayniteApi.Dialogs.ShowMessage("Links Added: $LinksAdded", "$ExtensionName");
}